aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2017-05-12 14:56:53 +0200
committerGerd Hoffmann <kraxel@redhat.com>2017-05-12 14:56:53 +0200
commitedc89367fee8abcc8104e27b1d7171e0872393b3 (patch)
tree181cc7ead48da85087cf98054970921dfbfb59ac /scripts
parent2bdc01293d9bcb81c464e4ecfdd264e49f4ec1b9 (diff)
downloadfbida-edc89367fee8abcc8104e27b1d7171e0872393b3.tar.gz
meson: install app defaults file
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/x11resdir.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/x11resdir.sh b/scripts/x11resdir.sh
new file mode 100755
index 0000000..1a00ab8
--- /dev/null
+++ b/scripts/x11resdir.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+prefix="$1"
+
+for dir in \
+ $prefix/*/X11/app-defaults \
+ $prefix/X11R*/*/X11/app-defaults \
+ /usr/*/X11/app-defaults \
+ /etc/app-defaults \
+; do
+ if test -d "$dir"; then
+ echo "$dir"
+ exit 0
+ fi
+done
+exit 1